Summary:	NetworkManager VPN integration for OpenVPN
Summary(pl.UTF-8):	Integracja NetworkManagera z OpenVPN-em
Name:		NetworkManager-openvpn
Version:	1.8.10
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/NetworkManager-openvpn/1.8/%{name}-%{version}.tar.xz
# Source0-md5:	4dbbc103761facc7a61a1c00dfd55231
Patch0:		chroot.patch
URL:		https://wiki.gnome.org/Projects/NetworkManager
BuildRequires:	NetworkManager-devel >= 2:1.7.0
BuildRequires:	NetworkManager-gtk-lib-devel >= 1.7.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.32
BuildRequires:	gtk+3-devel >= 3.4
BuildRequires:	intltool >= 0.36.2
BuildRequires:	libsecret-devel >= 0.18
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Provides:	group(nm-openvpn)
Provides:	user(nm-openvpn)
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	NetworkManager >= 2:1.7.0
Requires:	NetworkManager-gtk-lib >= 1.7.0
Requires:	glib2 >= 1:2.32
Requires:	gtk+3 >= 3.4
Requires:	libsecret >= 0.18
Requires:	openvpn
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NetworkManager VPN integration for OpenVPN.

%description -l pl.UTF-8
Integracja NetworkManagera z OpenVPN-em.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	--without-libnm-glib
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/NetworkManager/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 324 -r -f nm-openvpn
%useradd -u 324 -s /bin/false -c "Default user for running openvpn spawned by NetworkManager" -g nm-openvpn nm-openvpn

%postun
if [ "$1" = "0" ]; then
	%userremove nm-openvpn
	%groupremove nm-openvpn
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-vpn-plugin-openvpn.so
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-vpn-plugin-openvpn-editor.so
%attr(755,root,root) %{_libexecdir}/nm-openvpn-auth-dialog
%attr(755,root,root) %{_libexecdir}/nm-openvpn-service
%attr(755,root,root) %{_libexecdir}/nm-openvpn-service-openvpn-helper
%{_prefix}/lib/NetworkManager/VPN/nm-openvpn-service.name
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/nm-openvpn-service.conf
%{_datadir}/appdata/network-manager-openvpn.metainfo.xml
%changelog
* Mon Aug 12 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/NetworkManager-openvpn.git;a=log;h=master

* Mon Aug 12 2019 Jan Palus <atler@pld-linux.org> ddc6e49
- build without libnm-glib compatibility; rel 2

* Sat Apr 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 1b8a028
- updated to 1.8.10

* Sun Oct 28 2018 Jakub Bogusz <qboosh@pld-linux.org> ca418a8
- updated to 1.8.8

* Mon May 21 2018 Jan Palus <atler@pld-linux.org> c545785
- up to 1.8.4

* Tue Mar 13 2018 Jan Palus <atler@pld-linux.org> 3f00c89
- up to 1.8.2

* Sat Dec 23 2017 Jan Palus <atler@pld-linux.org> 1fc0ec7
- up to 1.8.0

* Sat Dec 23 2017 Jan Palus <atler@pld-linux.org> 0b63138
- disable silent rules

* Sat Dec 23 2017 Jan Palus <atler@pld-linux.org> ca966ef
- adjust for new %{_libexecdir}

* Sat Jul 22 2017 Elan Ruusamäe <glen@pld-linux.org> 87eca3d
- use existing path for chroot

* Sun May 28 2017 Jakub Bogusz <qboosh@pld-linux.org> a403cc8
- updated to 1.2.10

* Fri Jan 27 2017 Jakub Bogusz <qboosh@pld-linux.org> d10ea6e
- updated to 1.2.8

* Mon Oct 03 2016 Marcin Banasiak <marcin.banasiak@gmail.com> e643a89
- Update to 1.2.6

* Mon Aug 01 2016 Jakub Bogusz <qboosh@pld-linux.org> 13bb97a
- prefers libsecret stable API (0.18+)

* Tue Jul 05 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 3996de8
- Update to 1.2.4

* Tue Jun 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 497c497
- removed obsolete user/group comment

* Tue Jun 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 1796a92
- Fix path to configuration file. Release 2

* Sat Jun 18 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 54dbe3b
- Update to 1.2.2

* Fri Nov 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 44624f5
- updated to 1.0.8

* Sat Nov 14 2015 Jakub Bogusz <qboosh@pld-linux.org> ac706c7
- updated URL

* Mon Sep 14 2015 Jan Palus <atler@pld-linux.org> 9518299
- rel 2

